<?php
/**
 * @package XUpgrade
 * @version $Id: Updater.class.php,v 1.1.2.1 2006/11/20 11:19:48 minahito Exp $
 */

if (!defined('XOOPS_ROOT_PATH')) exit();

require_once XOOPS_ROOT_PATH . "/modules/XUpgrade/admin/class/UpgradeProcessor.class.php";

class XUpgrade_Updater extends Legacy_ModulePhasedUpgrader
{
	function _processScript()
	{
		$procedure =& new XUpgrade_UpgradeProcessor();
		$procedure->execute($this->_mTargetXoopsModule, $this->mLog);
	}
}

?>